# paper-droplet-cavitation
This archive contains all the relevant code for our paper "Cavitation controls droplet sizes in elastic media".

# Installation
This package relies on two other packages from our group: [``py-pde``](https://github.com/zwicker-group/py-droplets)
and 
[``py-droplets ``](https://github.com/zwicker-group/py-droplets). 
Copies of these packages are included with this archive.

Other necessary libraries are ``matplotlib, numpy, numba, scipy, sympy``, and ``tqdm `` ,
which can be installed using 'pip':

```bash
pip install matplotlib numpy numba scipy sympy tqdm
```

Similar package managers, like 'macports' or 'conda', can also be used.


Usage
-----

An example of the main simulations performed for this paper (Figures 2, 3, and 4) can be found in the file ``Example_simulation.py``. 
